%define upstream_name    Regexp-Assemble
%define upstream_version 0.38

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Assemble multiple Regular Expressions into a single RE
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Regexp/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 1.1.14
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Regexp::Assemble takes an arbitrary number of regular expressions and assembles
them into a single regular expression (or RE) that will match all that each of
the individual REs match. As a result, instead of having a large list of
expressions to loop over, the string only needs to be tested against one
expression. This is interesting when you have several thousand patterns to deal
with. Serious effort is made to produce the smallest pattern possible. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
rm -f eg/hostmatch/error.canonical
perl -pi -e s,/usr/local/bin/perl,/usr/bin/perl, eg/* eg/hostmatch/*
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO examples
%{perl_vendorlib}/Regexp
%{_mandir}/*/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.380.0-3.mga9
+ Revision: 1811134
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.380.0-2.mga8
+ Revision: 1520668
- Mageia 8 Mass Rebuild

* Tue Dec 04 2018 tv <tv> 0.380.0-1.mga7
+ Revision: 1338243
- update to 0.38

* Wed Sep 19 2018 umeabot <umeabot> 0.350.0-8.mga7
+ Revision: 1270893
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.350.0-7.mga6
+ Revision: 1032754
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.350.0-6.mga6
+ Revision: 941273
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.350.0-5.mga5
+ Revision: 751254
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.350.0-4.mga5
+ Revision: 686093
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.350.0-3.mga4
+ Revision: 514356
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.350.0-2.mga3
+ Revision: 372265
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 11 2011 jquelin <jquelin> 0.350.0-1.mga1
+ Revision: 83376
- update to 0.35

* Tue Jan 18 2011 jquelin <jquelin> 0.340.0-1.mga1
+ Revision: 22800
- cleaning spec file
- imported package perl-Regexp-Assemble


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.340.0-1mdv2010.0
+ Revision: 408042
- rebuild using %%perl_convert_version

* Wed Jun 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdv2009.0
+ Revision: 224889
- new version

* Sun Jun 08 2008 Olivier Thauvin <nanardon@mandriva.org> 0.33-1mdv2009.0
+ Revision: 216914
- 0.33

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Funda Wang <fundawang@mandriva.org> 0.32-1mdv2008.0
+ Revision: 60484
- New version 0.32

* Mon Jul 02 2007 Olivier Thauvin <nanardon@mandriva.org> 0.31-1mdv2008.0
+ Revision: 46900
- 0.31


* Tue Dec 12 2006 Olivier Thauvin <nanardon@mandriva.org> 0.28-1mdv2007.0
+ Revision: 96025
- 0.28
- Import perl-Regexp-Assemble

* Fri Aug 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.26-1mdv2007.0
- New version 0.26

* Thu Apr 27 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-1mdk
- New release 0.25
- better source URL

* Wed Mar 22 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.24-1mdk
- 0.24

* Wed Jan 11 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.23-1mdk
- 0.23

* Fri Dec 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.22-1mdk
- 0.22

* Wed Nov 30 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.21-1mdk
- 0.21

* Wed Nov 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.20-1mdk
- 0.20

* Thu Oct 13 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdk
- new version
- rpmbuildupdate aware
- fix directory ownership

* Sat Sep 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.17-1mdk
- 0.17

* Wed Aug 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.16-1mdk
- 0.16

* Fri Apr 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.15-1mdk
- Initial MDK release.

